CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
5.3$0-$5k0.00

In Parity Frontier - die betroffene Version ist nicht bekannt - wurde eine kritische Schwachstelle entdeckt. Hierbei betrifft es ein unbekannter Ablauf der Komponente Debug Build Handler. Mittels dem Manipulieren mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-191. Die Auswirkungen sind bekannt für die Verfügbarkeit. Die Zusammenfassung von CVE lautet:

Frontier is Substrate's Ethereum compatibility layer. Prior to commit number `8a93fdc6c9f4eb1d2f2a11b7ff1d12d70bf5a664`, a bug in Frontier's MODEXP precompile implementation can cause an integer underflow in certain conditions. This will cause a node crash for debug builds. For release builds (and production WebAssembly binaries), the impact is limited as it can only cause a normal EVM out-of-gas. Users who do not use MODEXP precompile in their runtime are not impacted. A patch is available in pull request #549.

Die Schwachstelle wurde am 14.01.2022 als GHSA-cjg2-2fjg-fph4 öffentlich gemacht. Das Advisory findet sich auf github.com. Die Verwundbarkeit wird seit dem 16.11.2021 als CVE-2022-21685 geführt. Sie ist leicht auszunutzen. Der Angriff kann über das Netzwerk angegangen werden. Das Ausnutzen erfordert eine einfache Authentisierung. Technische Details sind nicht bekannt und ein Exploit zur Schwachstelle ist ebenfalls nicht vorhanden.

Die Schwachstelle lässt sich durch das Einspielen des Patches 8a93fdc6c9f4eb1d2f2a11b7ff1d12d70bf5a664 lösen. Dieser kann von github.com bezogen werden.

Produktinfoanpassen

Hersteller

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 5.4
VulDB Meta Temp Score: 5.3

VulDB Base Score: 4.3
VulDB Temp Score: 4.1
VulDB Vector: 🔒
VulDB Zuverlässigkeit: 🔍

CNA Base Score: 6.5
CNA Vector (GitHub, Inc.): 🔒

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Zuverlässigkeit: 🔍

Exploitinginfoanpassen

Klasse: Pufferüberlauf
CWE: CWE-191
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔒
Status: Nicht definiert
Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔒

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfoanpassen

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: Patch
Status: 🔍

0-Day Time: 🔒

Patch: 8a93fdc6c9f4eb1d2f2a11b7ff1d12d70bf5a664

Timelineinfoanpassen

16.11.2021 CVE zugewiesen
14.01.2022 +59 Tage Advisory veröffentlicht
14.01.2022 +0 Tage VulDB Eintrag erstellt
17.01.2022 +3 Tage VulDB letzte Aktualisierung

Quelleninfoanpassen

Advisory: GHSA-cjg2-2fjg-fph4
Status: Bestätigt
Bestätigung: 🔒

CVE: CVE-2022-21685 (🔒)

Eintraginfoanpassen

Erstellt: 14.01.2022 20:54
Aktualisierung: 17.01.2022 21:46
Anpassungen: (1) source_cve_nvd_summary
Komplett: 🔍

Kommentare

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Might our Artificial Intelligence support you?

Check our Alexa App!